SwingWorker.StateValue (Java SE 21 & JDK 21)
Description: declaration: module: java.desktop, package: javax.swing, class: SwingWorker, enum: StateValue
Keywords: javax.swing.SwingWorker.StateValue class

Module java.desktop
Package javax.swing

# Enum Class SwingWorker.StateValue

java.lang.Object
java.lang.Enum<SwingWorker.StateValue>
javax.swing.SwingWorker.StateValue

All Implemented Interfaces:
  `Serializable`, `Comparable<SwingWorker.StateValue>`, `Constable`

Enclosing class:
  `SwingWorker<T,V>`

public static enum SwingWorker.StateValue extends Enum<SwingWorker.StateValue>
Values for the `state` bound property.

Since:
  1.6

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DONE`
  `SwingWorker` is `DONE` after `doInBackground` method is finished.
  `PENDING`
  Initial `SwingWorker` state.
  `STARTED`
  `SwingWorker` is `STARTED` before invoking `doInBackground`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SwingWorker.StateValue`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SwingWorker.StateValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PENDING

    public static final SwingWorker.StateValue PENDING
    Initial `SwingWorker` state.

  - ### STARTED

    public static final SwingWorker.StateValue STARTED
    `SwingWorker` is `STARTED` before invoking `doInBackground`.

  - ### DONE

    public static final SwingWorker.StateValue DONE
    `SwingWorker` is `DONE` after `doInBackground` method is finished.

- ## Method Details

  - ### values

    public static SwingWorker.StateValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SwingWorker.StateValue valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null